import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import _JSXStyle from "styled-jsx/style";
import React from "react";
import { Button } from "semantic-ui-react";
import { PureComponent } from "react";
import { bool, func, string } from "prop-types";
import { isNil } from "lodash";
import momentPropTypes from "react-moment-proptypes";
export class DateRangePickerButtons extends PureComponent {
  constructor() {
    super(...arguments);

    _defineProperty(this, "handleClear", event => {
      const {
        onClear
      } = this.props;

      if (this.canClear()) {
        onClear(event, this.props);
      }
    });

    _defineProperty(this, "handleApply", event => {
      const {
        onApply
      } = this.props;

      if (this.canApply()) {
        onApply(event, this.props);
      }
    });
  }

  canClear() {
    const {
      startDate,
      endDate
    } = this.props;
    return !isNil(startDate) || !isNil(endDate);
  }

  canApply() {
    const {
      startDate,
      endDate,
      allowSingleDateSelection
    } = this.props;

    if (allowSingleDateSelection) {
      return true;
    }

    if (isNil(startDate) && isNil(endDate)) {
      return true;
    }

    if (!isNil(startDate) && !isNil(endDate)) {
      return true;
    }

    return false;
  }

  renderClearButton() {
    const {
      allowClear,
      clearText
    } = this.props;

    if (!allowClear) {
      return null;
    } // Must used a CSS class to hide the button instead of conditional rendering otherwise clicking the button will be considered an outside click.


    return React.createElement(Button, {
      onClick: this.handleClear,
      className: !this.canClear() ? "ghost short disabled" : "ghost short"
    }, clearText);
  }

  renderApplyButton() {
    const {
      applyText
    } = this.props;
    return (// Sadly, the div container is necessary to apply styled-jsx. Fragment doesn't work.
      React.createElement("div", {
        className: "jsx-1634713581" + " " + "container"
      }, React.createElement(Button, {
        onClick: this.handleApply,
        className: !this.canApply() ? "ghost short disabled" : "primary ghost short"
      }, applyText), React.createElement(_JSXStyle, {
        id: "1634713581"
      }, [".container.jsx-1634713581{margin-left:auto;}"]))
    );
  }

  render() {
    const {
      className
    } = this.props;
    const defaultClasses = "flex ph6 pb6";
    const classes = isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
    return React.createElement("div", {
      className: classes
    }, this.renderClearButton(), this.renderApplyButton());
  }

}